#### Next topic

scipy.misc.comb

# scipy.misc.central_diff_weights

`scipy.misc.``central_diff_weights`(Np, ndiv=1)

  Return weights for an Np-point central derivative.

  Assumes equally-spaced function points.

  If weights are in the vector w, then derivative is w[0] * f(x-ho*dx) + ... + w[-1] * f(x+h0*dx)

  Parameters:

  Np : int

  > Number of points for the central derivative.

  ndiv : int, optional

  > Number of divisions. Default is 1.

  Notes

  Can be inaccurate for large number of points.